org.apache.avro.io

## Class FastReaderBuilder

- java.lang.Object
- - org.apache.avro.io.FastReaderBuilder

    public class FastReaderBuilder
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `FastReaderBuilder.ExecutionStep`
`static interface` `FastReaderBuilder.FieldReader`
`static class` `FastReaderBuilder.MapReader`
`static class` `FastReaderBuilder.RecordReader`
`static interface` `FastReaderBuilder.ReusingFieldReader`

### Constructor Summary

Constructors
Constructor and Description
`FastReaderBuilder(GenericData parentData)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`<D> DatumReader<D>` `createDatumReader(Schema schema)`
`<D> DatumReader<D>` `createDatumReader(Schema writerSchema, Schema readerSchema)`
`static FastReaderBuilder` `get()`
`static FastReaderBuilder` `getSpecific()`
`boolean` `isClassPropEnabled()`
`boolean` `isKeyClassEnabled()`
`static boolean` `isSupportedData(GenericData data)`
`static FastReaderBuilder.FieldReader` `reusingReader(FastReaderBuilder.ReusingFieldReader reader)`
`FastReaderBuilder` `withClassPropEnabled(boolean enabled)`
`FastReaderBuilder` `withKeyClassEnabled(boolean enabled)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastReaderBuilder

    public FastReaderBuilder(GenericData parentData)

### Method Detail

#### get

    public static FastReaderBuilder get()

#### getSpecific

    public static FastReaderBuilder getSpecific()

#### isSupportedData

    public static boolean isSupportedData(GenericData data)

#### withKeyClassEnabled

    public FastReaderBuilder withKeyClassEnabled(boolean enabled)

#### isKeyClassEnabled

    public boolean isKeyClassEnabled()

#### withClassPropEnabled

    public FastReaderBuilder withClassPropEnabled(boolean enabled)

#### isClassPropEnabled

    public boolean isClassPropEnabled()

#### createDatumReader

    public <D> DatumReader<D> createDatumReader(Schema schema)
                                         throws IOException

Throws:
  `IOException`

#### createDatumReader

    public <D> DatumReader<D> createDatumReader(Schema writerSchema,
                                                Schema readerSchema)
                                         throws IOException

Throws:
  `IOException`

#### reusingReader

    public static FastReaderBuilder.FieldReader reusingReader(FastReaderBuilder.ReusingFieldReader reader)